Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface KnowledgeBaseFactory

All Known Subinterfaces:
  KnowledgeBaseFactory2

All Known Implementing Classes:
  AbstractKnowledgeBaseFactory, ClipsKnowledgeBaseFactory, DatabaseKnowledgeBaseFactory, XMLKnowledgeBaseFactory

    public interface KnowledgeBaseFactory

A factory for creating a KnowledgeBase implementation. The KB implementation is typically DefaultKnowledgeBase with, perhaps, some "standard" frames loaded.

Author:
  Ray Fergerson

Field Summary
`static String` | `FACTORY_CLASS_NAME`

Method Summary
`KnowledgeBase` | `createKnowledgeBase(Collection errors)`
`KnowledgeBaseSourcesEditor` | `createKnowledgeBaseSourcesEditor(String projectURIString, PropertyList sources)` Note that this method should really take a URI for a param rather than a string.
`String` | `getDescription()`
`String` | `getProjectFilePath()`
`void` | `includeKnowledgeBase(KnowledgeBase kb, PropertyList sources, Collection errors)`
`boolean` | `isComplete(PropertyList sources)`
`void` | `loadKnowledgeBase(KnowledgeBase kb, PropertyList sources, Collection errors)`
`void` | `saveKnowledgeBase(KnowledgeBase kb, PropertyList sources, Collection errors)`

Field Detail

### FACTORY_CLASS_NAME

    static final String FACTORY_CLASS_NAME

See Also:
  Constant Field Values

Method Detail

### createKnowledgeBase

    KnowledgeBase createKnowledgeBase(Collection errors)

### createKnowledgeBaseSourcesEditor

    KnowledgeBaseSourcesEditor createKnowledgeBaseSourcesEditor(String projectURIString,
                                                                PropertyList sources)

  Note that this method should really take a URI for a param rather than a string. I maintain the string for backwards compatibility

  Parameters:
    `projectURIString` -
    `sources` -

### getDescription

    String getDescription()

### getProjectFilePath

    String getProjectFilePath()

### includeKnowledgeBase

    void includeKnowledgeBase(KnowledgeBase kb,
                              PropertyList sources,
                              Collection errors)

### isComplete

    boolean isComplete(PropertyList sources)

### loadKnowledgeBase

    void loadKnowledgeBase(KnowledgeBase kb,
                           PropertyList sources,
                           Collection errors)

### saveKnowledgeBase

    void saveKnowledgeBase(KnowledgeBase kb,
                           PropertyList sources,
                           Collection errors)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.